/*
 * @Author: PoJun
 * @Date: 2023-12-14 21:10:35
 * @LastEditors: PoJun
 * @LastEditTime: 2024-05-08 19:24:58
 * @Message: Nothing
 */
// 个人信息表单信息
export const myInfoFormList = [
    {
        type: "imgUpload",
        label: "头像",
        code: "imageLogo",
        canShow: true,
        canEdit: true,
        sv: null,
        rv: null,
        maxCount: 1,
        width: "120px",
        height: "120px",
        required: true,
        uploadText: "上传头像",
    },
    {
        type: "input",
        label: "昵称",
        code: "otherName",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
    },
    {
        type: "radio",
        label: "性别",
        code: "sex",
        sv: null,
        rv: null,
        canShow: false,
        canEdit: false,
        required: false,
        options: [
            { name: "女", key: "1" },
            { name: "男", key: "0" },
        ],
    },
    {
        type: "datetime",
        label: "生日",
        code: "birthday",
        sv: null,
        rv: null,
        canShow: false,
        canEdit: false,
        required: false,
        mode: "date",
    },
    {
        type: "input",
        label: "联系方式",
        code: "phone",
        sv: null,
        rv: null,
        canShow: false,
        canEdit: false,
        required: false,
    },
];
// 认证信息表单信息
export const authenticationFormList = [
    {
        type: "input",
        label: "名称",
        code: "name",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
    },
    {
        type: "input",
        label: "联系电话",
        code: "phone",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
    },
    {
        type: "input",
        label: "地址",
        code: "address",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: false,
    },
    {
        type: "input",
        label: "企业简介",
        code: "intro",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
    },
    {
        type: "products",
        label: "产品分类",
        code: "product",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: false,
    },
    {
        type: "input",
        label: "优势产品",
        code: "superiorProduct",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: false,
    },
    {
        type: "images",
        label: "形象图片",
        code: "image",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        maxCount: 5,
        width: "80px",
        height: "80px",
        required: false,
        uploadText: "上传图片",
    },

    {
        type: "images",
        label: "营业执照",
        code: "businessLicense",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        maxCount: 1,
        width: "80px",
        height: "80px",
        required: true,
        uploadText: "上传图片",
    },
    {
        type: "images",
        label: "权威证书",
        code: "certificates",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        maxCount: 5,
        width: "80px",
        height: "80px",
        required: false,
        uploadText: "上传图片",
    },
];
// 修改密码
export const updatePsdFormList = [
    {
        type: "input",
        label: "旧密码",
        code: "oldPassword",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
        inputType: "password",
    },
    {
        type: "input",
        label: "新密码",
        code: "password",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
        inputType: "password",
        placeholder: "长度不低于6位数",
    },
    {
        type: "input",
        label: "确认新密码",
        code: "rePassword",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
        inputType: "password",
        placeholder: "与新密码一致",
    },
];
// 账号注册
export const registerFormList = [
    {
        type: "input",
        label: "账号",
        code: "principal",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
        placeholder: "用户名必须包含字母",
    },
    {
        type: "input",
        label: "密码",
        code: "credentials",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
        inputType: "password",
        placeholder: "长度不低于6位数",
    },
    {
        type: "input",
        label: "确认密码",
        code: "rePassword",
        sv: null,
        rv: null,
        canShow: true,
        canEdit: true,
        required: true,
        inputType: "password",
        placeholder: "与密码一致",
    },
];
